ACOS(3)

NAME
acos - arc cosine function

SYNOPSIS
#include <math.h>
double
acos(double x);

DESCRIPTION
The acos() function computes the principal value of the arc cosine of x. A domain error occurs for arguments not in the range [-1, +1]. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
The acos() function returns the arc cosine in the range [0,] radians. On the VAX and Tahoe, if:

    |x| > 1,

acos(x) sets the global variable errno to EDOM and a reserved operand fault is generated.

SEE ALSO
sin(3), cos(3), tan(3), asin(3), atan(3), atan2(3), sinh(3), cosh(3), tanh(3), math(3),

STANDARDS
The acos() function conforms to ansiC.